RGBTriple Class Reference

`#include <RGBTriple.h>`

## Public Member Functions

| RGBTriple (void)
| RGBTriple (BYTE r, BYTE g, BYTE b)
UWORD32 | calcDistance (const RGBTriple &t) const
bool | operator== (const RGBTriple &t) const
bool | operator!= (const RGBTriple &t) const

## Public Attributes

BYTE | Red
BYTE | Green
BYTE | Blue

## Constructor & Destructor Documentation

## RGBTriple() [1/2]

RGBTriple::RGBTriple | ( | void |  | ) |

inline

## RGBTriple() [2/2]

RGBTriple::RGBTriple | ( | BYTE | r,
|  | BYTE | g,
|  | BYTE | b )

inline

## Member Function Documentation

## calcDistance()

UWORD32 RGBTriple::calcDistance | ( | const RGBTriple & | t | ) | const

get the squared distance in the RGB cube between this triple and the triple t

Parameters

  t | another RGB triple

Returns
  the square of the euclidean distance between this and t

## operator!=()

bool RGBTriple::operator!= | ( | const RGBTriple & | t | ) | const

return true iff this triple and t are not equal (i.e. have different rgb values)

## operator==()

bool RGBTriple::operator== | ( | const RGBTriple & | t | ) | const

returns true iff this triple and t are equal (i.e. have the same rgb values)

## Member Data Documentation

## Blue

BYTE RGBTriple::Blue

## Green

BYTE RGBTriple::Green

## Red

BYTE RGBTriple::Red

The documentation for this class was generated from the following files:

- RGBTriple.h
- RGBTriple.cc